using System;

namespace ZionVault.Environment
{
    class LastDayTheMonth : IVariable
    {
        public string Value()
        {
            DateTimeOffset dateNow = DateTimeOffset.UtcNow;
            return dateNow.AddDays(DateTime.DaysInMonth(dateNow.Year, dateNow.Month) - dateNow.Day).ToString(@"dd/MM/yyyy");
        }

        public string Description()
        {
            return @"Último dia do mês atual";
        }
    }
}
